View Issue Details

IDProjectCategoryView StatusLast Update
0000104Volume 2Bugpublic2019-06-06 18:29
ReporterRiellaAssigned ToChriskitsch 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version 
Target VersionIssue 2Fixed in Version 
Summary0000104: A large number of SKUs can be granted via in-game GM commands, but not via server commands.
DescriptionCertain SKUs can be granted by my Access 11 character via /buyproduct and the costume sets function correctly, but attempts to grant them via server admin commands or AutoGrantSKU yield no results.

Known affected SKU ranges:
CUCP11xx (Halloween 2011 bundle)
CUCP12xx (never released, presumably Halloween 2012 bundle given its contents)
CUCPBKxx (Black Knight set; there are a few exceptions to this one, all of them already in default_sku.cfg)
CUCPS2xx (Cosmic Corsair set)
CUCPEOxx (Elemental Order set)
CUCPTVxx (Talons set)

UPDATE: Thanks to considerable legwork by asuffield the cause has been discovered. In the pigg directory defs/account/product_catalog.def some SKUs have a StartDate value. If this value exists, and corresponds to a time in the future, the SKU is considered "unpublished" even if it's flagged as published. To allow these SKUs to be granted, the fix should be as simple as removing the StartDate value completely.
Additional InformationExample catalog item in product_catalog.def:

CatalogItem
        Title "Elemental Order Sleeves"
        SKU CUCPEOSL
        InventoryType PlayerInventory
        InventoryCount 1
        GrantLimit 1
        Global 1
        Recipe CUCPEOSL
        StartDate 631180800
End

The value's exact meaning is unclear; asuffield suspects it to be the number of seconds from a specific time in the year 2000, and believes the value in this example corresponds to sometime in 2020.
TagsNo tags attached.
subsystem

Activities

anonymous

2019-05-21 20:11

viewer   ~0000075

Attached product catalog with all start and end dates removed for testing.

product_catalog.zip (115,551 bytes)

anonymous

2019-05-21 20:13

viewer   ~0000076

And from the 2500 defs for reference, asuffield was correct.

    // Start Date = 01/01/2020 08:00 AM, UTC (01/01/2020 12:00 AM in Calif.)
    StartDate 631180800

Chriskitsch

2019-06-05 03:01

developer   ~0000105

product_catalog contained invalid StartDate flags that caused the client to see the items as "unpublished" by scrubbing these StartDate flags from the affected MTX powersets we are able to now see them (locked) in the costume editor and can be unlocked by granting the SKU.

Riella, Chrius, and I have scrubbed and tested. I've pushed the updated product to https://git.ourodev.com/CoX/Assets/src/branch/ck_test (pending PR Merge to develop)

Issue History

Date Modified Username Field Change
2019-05-18 17:43 Riella New Issue
2019-05-19 06:36 Riella Description Updated View Revisions
2019-05-19 06:36 Riella Additional Information Updated View Revisions
2019-05-21 20:11 anonymous File Added: product_catalog.zip
2019-05-21 20:11 anonymous Note Added: 0000075
2019-05-21 20:13 anonymous Note Added: 0000076
2019-05-31 15:16 Riella Description Updated View Revisions
2019-06-05 02:38 Chriskitsch Assigned To => Chriskitsch
2019-06-05 03:01 Chriskitsch Note Added: 0000105
2019-06-06 18:29 Chet Target Version => Issue 2